// ------------------------ Блок подключения библиотек ------------------------ //
#include <NTPClient.h>
#include <ESP8266WiFi.h>
#include <WiFiUdp.h>

// ------------------------ Блок объявления констант ------------------------ //
const char *WIFI_SSID = "ваш ssid wifi";    // Впишите свое значение
const char *WIFI_PASS = "ваш пароль wifi";  // Впишите свое значение 
const char UTC = 3;    // Ваш часовой пояс  

// ------------------------ Блок объявления переменных ------------------------ //
char InitFlag1 = 0;      // начальное значение флага инициализации для циклической функции
char InitFlag2 = 0;      // начальное значение флага инициализации для циклической функции
char PIN_NUMBER = 4;     // номер управляющего пина

// Определение NTP-клиента для получения времени
WiFiUDP ntpUDP;
NTPClient timeClient(ntpUDP, "pool.ntp.org", 60*60*UTC);  // 60*60*UTC - перевод смещения UTC в секунды

// ------------------------ Подключение Си-файлов модели ------------------------ //
#include "esp8266_smart_socket_code\esp8266_smart_socket.c"

// ------------------------ Функция загрузки ------------------------ //
void setup()
{
  esp8266_smart_socket_init();  // Инициализация модели
}

// ------------------------ Циклическая функция ------------------------ //
void loop() 
{
  esp8266_smart_socket_step();  // Расчёт модели на шаге
  delay(1000);                  // Задержка 1 сек
}